package com.chenyang.druid.sql.dialect.postgresql.ast;

import com.chenyang.druid.sql.ast.SQLObjectImpl;
import com.chenyang.druid.sql.dialect.postgresql.visitor.PGASTVisitor;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;

public abstract class PGSQLObjectImpl extends SQLObjectImpl implements PGSQLObject {
   protected void accept0(SQLASTVisitor visitor) {
      this.accept0((PGASTVisitor)visitor);
   }

   public abstract void accept0(PGASTVisitor var1);
}
